Compatibility Script for Stored Procedures and Views

March 31, 2008



I developed this script because I couldn't find a good tool to determine if our company's custom applications' stored procedures and views were going to be SQLS2K-compatible. It does a brute-force text search of syscomments for syntax that may be unsupported/deprecated in SQLS2K such as: unsupported config options, unsupported sp's, unsupported systables, etc. The script does not check schema or table information.

It uses cursors and will search against all databases found in master (except FoodMart, Northwind, etc; more can be excluded) so best to run off hours. Some syntax can not be programmatically (read: easily) searched for so it's still best to do a full analysis of your applications before upgrade. But hopefully this will give you a good idea where your apps stand.

It was developed in 2000 and tested to work in 7.0. Version 6.5 has not been tested. Almost all the information came from the "Upgrade to SQL Server 2000" Whitepaper from MS: http://www.microsoft.com/sql/howtobuy/Upgrade_to_SQL_Server_2000.doc.

Author: Erik Pearson


Download Script:
SqlServer2000_compatibility.txt


Disclaimer: We hope that the information on these script pages is valuable to you. Your use of the information contained in these pages, however, is at your sole risk. All information on these pages is provided "as -is", without any warranty, whether express or implied, of its accuracy, completeness, or fitness for a particular purpose... Disclaimer Continued


Back to Database Journal Home








The Network for Technology Professionals

Search:

About Internet.com

Legal Notices, Licensing, Permissions, Privacy Policy.
Advertise | Newsletters | E-mail Offers